Bug 1695197 - Machine api operator does not reset progressing transition timestamp when it upgrades
Summary: Machine api operator does not reset progressing transition timestamp when it ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Vikas Choudhary
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On: 1697814
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-02 16:13 UTC by Clayton Coleman
Modified: 2019-06-04 10:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:57 UTC

Description Clayton Coleman 2019-04-02 16:13:09 UTC
During an upgrade, operators are required to update the lastTransitionTimestamp of Progressing when they start upgrading and when they complete.  If there is no need to set progressing, the last transition time should still be reset at the end of an upgrade when they hit "level".

When I started an upgrade (39m ago was the beginning) I see:

clusteroperator.config.openshift.io/machine-api                          0.0.1                          True        False         False     55m

which means the operator did not reset progressing lastTransitionTime

This value is used to tell the admin when "something happened" and an upgrade is "something".

Comment 1 Clayton Coleman 2019-04-02 17:36:52 UTC
https://github.com/openshift/cluster-version-operator/pull/154 will document this and an e2e test will verify it in the future post-upgrade

Comment 2 Antonio Murdaca 2019-04-02 21:55:37 UTC
Moved component (tentatively) to Cloud as this is not Machine Config Operator related, but Machine API Operator related

Comment 6 Wei Sun 2019-04-10 03:34:39 UTC
Please check if it could be verified.

Comment 7 sunzhaohua 2019-04-11 06:26:50 UTC
Verified.

Upgrade from 4.0.0-0.nightly-2019-04-10-141956 to 4.0.0-0.nightly-2019-04-10-182914

Before upgrade:
$ oc get clusteroperator machine-api -o yaml
apiVersion: config.openshift.io/v1
kind: ClusterOperator
metadata:
  creationTimestamp: 2019-04-11T02:31:45Z
  generation: 1
  name: machine-api
  resourceVersion: "25972"
  selfLink: /apis/config.openshift.io/v1/clusteroperators/machine-api
  uid: f2d395da-5c01-11e9-a622-02a87c79c5de
spec: {}
status:
  conditions:
  - lastTransitionTime: 2019-04-11T02:32:09Z
    status: "False"
    type: Progressing
  - lastTransitionTime: 2019-04-11T02:31:45Z
    message: 'Cluster Machine API Operator is available at operator: 4.0.0-0.nightly-2019-04-10-141956'
    status: "True"
    type: Available
  - lastTransitionTime: 2019-04-11T02:31:45Z
    status: "False"
    type: Failing
  extension: null
  versions:
  - name: operator
    version: 4.0.0-0.nightly-2019-04-10-141956

After upgrade:
$ oc get clusteroperator machine-api -o yaml 
apiVersion: config.openshift.io/v1
kind: ClusterOperator
metadata:
  creationTimestamp: 2019-04-11T02:31:45Z
  generation: 1
  name: machine-api
  resourceVersion: "122537"
  selfLink: /apis/config.openshift.io/v1/clusteroperators/machine-api
  uid: f2d395da-5c01-11e9-a622-02a87c79c5de
spec: {}
status:
  conditions:
  - lastTransitionTime: 2019-04-11T03:43:13Z
    status: "False"
    type: Progressing
  - lastTransitionTime: 2019-04-11T02:31:45Z
    message: 'Cluster Machine API Operator is available at operator: 4.0.0-0.nightly-2019-04-10-182914'
    status: "True"
    type: Available
  - lastTransitionTime: 2019-04-11T02:31:45Z
    status: "False"
    type: Failing
  extension: null
  versions:
  - name: operator
    version: 4.0.0-0.nightly-2019-04-10-182914

Comment 9 errata-xmlrpc 2019-06-04 10:46:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.